R4i (from r4ultra.com) not working with 1.4u

Discussion in 'R4 DS' started by zub, Oct 17, 2009.

Oct 17, 2009
  1. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Sorry if this has been posted before. There are just a dizzying amount of acronyms on this board and I find it hard to sort it out.

    My friend purchased a NDSI. He upgraded the firmware from 1.3 to 1.4u by accident.

    He has the R4I from www.r4ultra.com. The website has no updates posted.

    Can anyone elaborate on how to get this R4I working again on 1.4u?

    Thanks in advance!
     


  2. BiT.SLEDGE

    Newcomer BiT.SLEDGE Advanced Member

    Joined:
    Sep 12, 2009
    Messages:
    72
    Country:
    Ireland
    Yeah. He's fucked. The R4i was blocked by 1.4. He should of got an AceKard. They're pretty cheap and are future proof. Heck, order it off DealExtreme and you get frigging free shipping.
     
  3. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Wow that was fast! Are you sure? I keep seeing these videos and other stuff claiming to have it working?

    Thanks again

    Sucks, he literally bought it a couple days after picking up the NDSI! lol
     
  4. ENDscape

    Member ENDscape REBORN! I will post with my Dying Will!!!

    Joined:
    Dec 14, 2007
    Messages:
    1,488
    Location:
    ``orz
    Country:
    Philippines
    Yes he's right. R4 was going to release another model of their cart so it would work with 1.4. But I suggest to get another cart.
     
  5. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Thanks guys. I was wondering, if we format the NDSI, does it return it to a previous firmware state? Considering other devices, I find it highly unlikely?
     
  6. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    The r4i you have (from r4ultra.com) can use the Acekard update 1.4 since it's an Acekard clone. Since your DSi is already 1.4 you'll need a DS phat/lite or a DSi lower than 1.4 in order to update your cart.

    Look here

    EDIT: If you format the DSi it won't downgrade the firmware
     
  7. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Wow - that's great news. I downloaded the update. Assuming I borrow a 1.3 NDSI, how would I then update it with the file. I have a microsd card that slides into an SD. Do I stick the file on the micro, then put it in the R4i, into the NDSI and run something?

    Or do I need a TF adapter. (seem them, don't know what they're for) lol

    Thanks everyone!
     
  8. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    Just put the file on your SD and run it through your R4i on your 1.3 DSi.
    Follow the instructions and then it will work on 1.4
    (you will have a Danny phantom icon instead of the R4i one)
     
  9. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Alright, so I copy the file to the microsd, put it into a NDSI (or a DSlite?) then somehow in the menu I can browse to the file r4ifw_update_14_DSi.nds and choose run.

    Thank you everyone! Great help!
     
  10. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    That's it. Do that and it will be fine.
     
  11. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    I was going to buy the acekard from deal extreme, however I noticed the latest post on the page says it is not compatible with the 1.4u, and you have to update it first.

    Has anyone purchase it recently and knows whether or not it just works out of the box?

    Thanks!

    http://www.dealextreme.com/details.dx/sku.18728
     
  12. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    No, you will have to do the same thing you did for the r4
     
  13. zhuzhuchina

    Member zhuzhuchina GBAtemp Advanced Fan

    Joined:
    Mar 17, 2008
    Messages:
    537
    Location:
    Shanghai
    Country:
    China
    acekard 2i and r4i from r4ultra can be upgraded to 1.4 , just use the acekard 2i firmware upgrade. it will change the name of your flashcard
     
  14. jak larnak

    Member jak larnak GBAtemp Regular

    Joined:
    Jul 21, 2009
    Messages:
    188
    Location:
    Not so far
    Country:
    France
    That's exactly what i said to him...
     
  15. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Sorry for the confusion. By reading the posts I thought I could by an Acekard and it would be fully compatible with the 1.4u. (some mentioned just to buy one in the beginning of the post)

    I just wanted the easy route - buy a new Acekard and be up and running. Now that you guys have told me I would have to update it on another DSLITE or NDSI, I am just goint to update my existing R4I.

    THanks again!
     
  16. fearofshorts

    Member fearofshorts GBAtemp Fan

    Joined:
    Jul 12, 2009
    Messages:
    479
    Location:
    Melbourne
    Country:
    Australia
    Well, you could always buy an M3i zero. They can be updated via a usb connector (without a DS).
     
  17. bach3609

    Member bach3609 GBAtemp Fan

    Joined:
    May 31, 2009
    Messages:
    367
    Location:
    Loading................
    Country:
    Vietnam
    Wait a minute i thought you said it was your friends R4I at first [​IMG]. Don't hide your R4 SHAME!!!! UNLEASH IT!!!!!! [​IMG]

    anyways back on topic.

    Just go ahead and update your R4I, try it out, if it doesn't work, Buy a AceKard2i from here,clicky it. and choose extra $2 for them upgrading your card for you.
     
  18. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    HAHA I just read the post above. When I was writing it, I realized I wrote "me". Oh well. It really is my cousin's card actually!

    Sorry one more question. When I put the Acekard update file on the card, do I just format the card normal NTFS or Fat?

    So:

    1) Put acekard file on microsd card (ntfs or fat)
    2) Update R4I on DS Lite by running Acekard file
    3) Once I put R4I into the DSI, is there an option to format the microsd card and it lays down the correct directories for usage etc? (or do I put certain directories on the micro sdcard when I put the update file on it - e.g. step 1)

    Thanks again!
     
  19. outgum

    Member outgum Pokemanz Master

    Joined:
    Sep 22, 2009
    Messages:
    1,993
    Location:
    Hamilton, New Zealand
    Country:
    New Zealand
  20. zub
    OP

    Newcomer zub Member

    Joined:
    Oct 17, 2009
    Messages:
    12
    Country:
    Canada
    Hi again -

    So I attempted to do the whole process yesterday.

    The file is on the microsd card, and put into the R4i. When I put it into the borrowed DS Lite, it just says "Loading".... and never leaves that screen. I left it for a half hour.

    Any ideas? Does the R4I microsd card need specific files or folders layed out on top of the update file in order for the DS Lite to read it?

    Thanks again
     

Share This Page